सामग्री पर जाएँ

Recraft V4 Styles Pro Create Style

इंटीग्रेट करें

मॉडल id recraft/v4/pro/create-style
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/pro/create-style?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.005 5 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Recraft ट्रेनिंग #stylized#transform#editing

V4 Styles Pro जनरेटर के साथ उपयोग के लिए 1 से 10 रेफ़रेंस इमेज से स्टाइल ID बनाता है

Recraft · फ़ाइल

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या · 10 तक

URL द्वारा 1–10 शैली संदर्भ दें; PNG, JPG या WEBP फ़ॉर्मैट की इमेज का उपयोग करें।

उन्नत match · base_style · image_weights
match डिफ़ॉल्ट precise

इमेज बनाते समय शैली के प्रति अनुरूपता की डिग्री।

डिफ़ॉल्ट any

बनाई गई इमेज पर लागू की गई आधार दृश्य शैली।

इमेज URL को individually दिए गए वेट, `image_urls` के अनुरूप क्रम में।

POST /run/recraft/v4/pro/create-style?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/pro/create-style?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Recraft V4 Styles Pro Create Style के बारे में

`image_urls` से पुन: उपयोग योग्य कस्टम स्टाइल बनाता है, जिसमें 1 से 10 PNG, JPG या WEBP इमेज स्वीकार की जाती हैं। `base_style` (any या vector_illustration) और `match` (precise या flexible) चुनें, और वैकल्पिक रूप से प्रति इमेज एक `image_weights` दें। V4 Styles Pro जनरेशन के लिए उपयुक्त `style_id` लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlsआवश्यक images
प्रकारurl[] · image
≤ 10 आइटम
URL द्वारा 1–10 शैली संदर्भ दें; PNG, JPG या WEBP फ़ॉर्मैट की इमेज का उपयोग करें।
base_styleवैकल्पिक
प्रकारenum
डिफ़ॉल्टany
anyvector_illustration
बनाई गई इमेज पर लागू की गई आधार दृश्य शैली।
matchवैकल्पिक
प्रकारenum
डिफ़ॉल्टprecise
preciseflexible
इमेज बनाते समय शैली के प्रति अनुरूपता की डिग्री।
image_weightsवैकल्पिक
प्रकारnumber[]
≤ 10 आइटम
इमेज URL को individually दिए गए वेट, `image_urls` के अनुरूप क्रम में।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/pro/create-style",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "style_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
style_id
stringबाद के अनुरोधों में नई बनाई गई शैली का संदर्भ देने के लिए identifier।

और मॉडल: ट्रेनिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/recraft/v4/pro/create-style.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt